/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.portal.search.test.util.indexing;

import com.liferay.portal.kernel.search.Document;

/**
 * @author André de Oliveira
 */
public class DocumentCreationHelpers {

	public static DocumentCreationHelper singleGeoLocation(
		final String fieldName, final double latitude, final double longitude) {

		return new DocumentCreationHelper() {

			@Override
			public void populate(Document document) {
				document.addGeoLocation(fieldName, latitude, longitude);
			}

		};
	}

	public static DocumentCreationHelper singleKeyword(
		final String field, final String value) {

		return new DocumentCreationHelper() {

			@Override
			public void populate(Document document) {
				document.addKeyword(field, value);
			}

		};
	}

	public static DocumentCreationHelper singleNumberSortable(
		final String field, final int value) {

		return new DocumentCreationHelper() {

			@Override
			public void populate(Document document) {
				document.addNumberSortable(field, value);
			}

		};
	}

	public static DocumentCreationHelper singleText(
		final String field, final String... values) {

		return new DocumentCreationHelper() {

			@Override
			public void populate(Document document) {
				document.addText(field, values);
			}

		};
	}

}